1

I installed the site with whatever the version was 5 months ago. When I log into the control panel, I get this. I don't know what any of it means and I'm desperate to get my site up and running again.

It was a clean install, not an upgrade. No plugins or add ons. It was working perfectly till it wasn't.

Can anyone help?

Exception Caught

SQLSTATE[HY000]: General error: 1835 Malformed communication packet: SELECT LOWER(module_name) AS module_name, module_version, has_cp_backend, module_id FROM (exp_modules)

ee/legacy/database/drivers/mysqli/mysqli_connection.php:117

Stack Trace: Please include when reporting this error

#0 ee/legacy/database/drivers/mysqli/mysqli_driver.php(112): CI_DB_mysqli_connection->query('SELECT LOWER(mo...')

#1 ee/legacy/database/DB_driver.php(270): CI_DB_mysqli_driver->_execute('SELECT LOWER(mo...')

#2 ee/legacy/database/DB_driver.php(180): CI_DB_driver->simple_query('SELECT LOWER(mo...')

#3 ee/legacy/database/DB_active_rec.php(1138): CI_DB_driver->query('SELECT LOWER(mo...')

#4 ee/legacy/models/addons_model.php(215): CI_DB_active_record->get('modules')

#5 ee/EllisLab/ExpressionEngine/Service/Addon/Addon.php(57): Addons_model->get_installed_modules()

#6 ee/EllisLab/ExpressionEngine/Service/Addon/Factory.php(85): EllisLab\ExpressionEngine\Service\Addon\Addon->isInstalled()

#7 [internal function]: EllisLab\ExpressionEngine\Service\Addon\Factory->EllisLab\ExpressionEngine\Service\Addon{closure}(Object(EllisLab\ExpressionEngine\Service\Addon\Addon))

#8 ee/EllisLab/ExpressionEngine/Service/Addon/Factory.php(86): array_filter(Array, Object(Closure))

#9 ee/EllisLab/ExpressionEngine/app.setup.php(479): EllisLab\ExpressionEngine\Service\Addon\Factory->installed()

#10 [internal function]: EllisLab\ExpressionEngine\Core\Application->{closure}(Object(EllisLab\ExpressionEngine\Core\Provider))

#11 ee/EllisLab/ExpressionEngine/Core/Provider.php(330): call_user_func_array(Object(Closure), Array)

#12 ee/EllisLab/ExpressionEngine/Service/Dependency/InjectionContainer.php(129): EllisLab\ExpressionEngine\Core\Provider->EllisLab\ExpressionEngine\Core{closure}(Object(EllisLab\ExpressionEngine\Service\Dependency\InjectionContainer))

#13 ee/EllisLab/ExpressionEngine/Service/Dependency/InjectionContainer.php(109): EllisLab\ExpressionEngine\Service\Dependency\InjectionContainer->singleton(Object(Closure))

#14 [internal function]: EllisLab\ExpressionEngine\Service\Dependency\InjectionContainer->EllisLab\ExpressionEngine\Service\Dependency{closure}(Object(EllisLab\ExpressionEngine\Core\Provider))

#15 ee/EllisLab/ExpressionEngine/Service/Dependency/InjectionContainer.php(182): call_user_func_array(Object(Closure), Array)

#16 [internal function]: EllisLab\ExpressionEngine\Service\Dependency\InjectionContainer->make(Object(EllisLab\ExpressionEngine\Core\Provider), 'ee:Model/Datast...')

#17 ee/EllisLab/ExpressionEngine/Service/Dependency/InjectionBindingDecorator.php(77): call_user_func_array(Array, Array)

#18 [internal function]: EllisLab\ExpressionEngine\Service\Dependency\InjectionBindingDecorator->make('ee:Model/Datast...')

#19 ee/EllisLab/ExpressionEngine/Core/Provider.php(368): call_user_func_array('parent::make', Array)

#20 ee/EllisLab/ExpressionEngine/app.setup.php(227): EllisLab\ExpressionEngine\Core\Provider->make('Model/Datastore')

#21 [internal function]: EllisLab\ExpressionEngine\Core\Application->{closure}(Object(EllisLab\ExpressionEngine\Core\Provider))

#22 ee/EllisLab/ExpressionEngine/Core/Provider.php(330): call_user_func_array(Object(Closure), Array)

#23 [internal function]: EllisLab\ExpressionEngine\Core\Provider->EllisLab\ExpressionEngine\Core{closure}(Object(EllisLab\ExpressionEngine\Service\Dependency\InjectionContainer))

#24 ee/EllisLab/ExpressionEngine/Service/Dependency/InjectionContainer.php(182): call_user_func_array(Object(Closure), Array)

#25 ee/legacy/libraries/Core.php(106): EllisLab\ExpressionEngine\Service\Dependency\InjectionContainer->make('Model')

#26 ee/legacy/core/Controller.php(65): EE_Core->bootstrap()

#27 ee/legacy/core/Controller.php(76): Base_Controller->__construct()

#28 ee/legacy/core/Controller.php(99): EE_Controller->__construct()

#29 ee/EllisLab/ExpressionEngine/Core/Core.php(228): CP_Controller->__construct()

#30 ee/EllisLab/ExpressionEngine/Core/Core.php(110): EllisLab\ExpressionEngine\Core\Core->runController(Array)

#31 ee/EllisLab/ExpressionEngine/Boot/boot.php(151): EllisLab\ExpressionEngine\Core\Core->run(Object(EllisLab\ExpressionEngine\Core\Request))

#32 admin.php(153): require_once('...')

#32 admin.php(153): require_once('...')

0

If you have not changed anything in your site, it is unlikely that the cause is going to be within EE... so the other thing to consider is whether there has been a change to your database server that you were not aware of - there are reports of changes / updates to (for example) MariaDB triggering the same error in other apps (e.g. here).

6
  • Thanks you. According to the VPS server I'm on, the nothing has been updated or upgraded in the period. I rolled back to the last backup, only two days ago, and the site is now up and running. But I'm left worried that this kind of problem is out of my ability to fix. – Bruce Stanley Nov 4 '20 at 14:54
  • Congrats for getting it working. If restoring a backup of the site files from two days ago fixed the problem, that strongly suggests something within your site was changed and was the cause of the problem - I guess keep an eye on whether anything gets changed in days to come, and maybe that will give clues as to where the problem is coming from. – JCOGS Design Nov 4 '20 at 18:59
  • It's down again and I don't know my server-fu to know what's wrong. I may be contacting you later or throwing the towel in and going back to static html. – Bruce Stanley Nov 5 '20 at 8:24
  • Sorry to hear it has gone down again. Totally understand how frustrating this kind of thing is to deal with. Going back to static HTML seems like an overreaction: get in touch via DM if you want to discuss further etc. – JCOGS Design Nov 5 '20 at 10:30
  • It seems like a few more people over the past 24 hours have had similar problems and the fix has become clearer. I just needed to put the VPS / domain onto PHP 7.4 (from the problematic 7.2). But I've got your contact details. I've been working on and off with EE, sometimes on huge sites, for 15+ years but as a front end developer and I don't have anyone to help with backend stuff. Thanks again. – Bruce Stanley Nov 5 '20 at 10:56

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.